## vsftpd 1.0.0

=== Makefile ===
# Makefile for systems with GNU tools
CC 	=	gcc
INSTALL	=	install
IFLAGS  = -idirafter dummyinc
CFLAGS	=	-O2 -Wall -W -Wshadow #-pedantic -Werror -Wconversion

LIBS	=	`./vsf_findlibs.sh`
LINK	=	-Wl,-s

OBJS	=	main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o \
		tunables.o ftpdataio.o secbuf.o ls.o \
		postprivparent.o logging.o str.o netstr.o sysstr.o strlist.o \
    dirchange.o filestr.o parseconf.o secutil.o \
    ascii.o oneprocess.o twoprocess.o privops.o \
    sysutil.o sysdeputil.o

.c.o:
	$(CC) -c $*.c $(CFLAGS) $(IFLAGS)

vsftpd: $(OBJS) 
	$(CC) -o vsftpd $(OBJS) $(LINK) $(LIBS)

install:
	if [ -x /usr/local/sbin ]; then \
		$(INSTALL) -m 755 vsftpd /usr/local/sbin/vsftpd; \
	else \
		$(INSTALL) -m 755 vsftpd /usr/sbin/vsftpd; fi
	if [ -x /usr/local/man ]; then \
		$(INSTALL) -m 644 vsftpd.8 /usr/local/man/man8/vsftpd.8; \
		$(INSTALL) -m 644 vsftpd.conf.5 /usr/local/man/man5/vsftpd.conf.5; \
	elif [ -x /usr/share/man ]; then \
		$(INSTALL) -m 644 vsftpd.8 /usr/share/man/man8/vsftpd.8; \
		$(INSTALL) -m 644 vsftpd.conf.5 /usr/share/man/man5/vsftpd.conf.5; \
	else \
		$(INSTALL) -m 644 vsftpd.8 /usr/man/man8/vsftpd.8; \
		$(INSTALL) -m 644 vsftpd.conf.5 /usr/man/man5/vsftpd.conf.5; fi
	if [ -x /etc/xinetd.d ]; then \
		$(INSTALL) -m 644 xinetd.d/vsftpd /etc/xinetd.d/vsftpd; fi

clean:
	rm -f *.o *.swp vsftpd

## vsftpd 1.2.2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 CC 	=	gcc
 INSTALL	=	install
 IFLAGS  = -idirafter dummyinc
+#CFLAGS = -g
 CFLAGS	=	-O2 -Wall -W -Wshadow #-pedantic -Werror -Wconversion
 
 LIBS	=	`./vsf_findlibs.sh`
@@ -10,8 +11,9 @@
 OBJS	=	main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o \
 		tunables.o ftpdataio.o secbuf.o ls.o \
 		postprivparent.o logging.o str.o netstr.o sysstr.o strlist.o \
-    dirchange.o filestr.o parseconf.o secutil.o \
-    ascii.o oneprocess.o twoprocess.o privops.o \
+    banner.o filestr.o parseconf.o secutil.o \
+    ascii.o oneprocess.o twoprocess.o privops.o standalone.o hash.o \
+    tcpwrap.o ipv6parse.o access.o \
     sysutil.o sysdeputil.o
 
 .c.o:

## vsftpd 2.3.4

=== debian/changelog ===
vsftpd (2.3.4-1) unstable; urgency=low

  * Merging upstream version 2.3.4:
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Updating debconf-po files.
  * Dropping alpha.patch, not supported anymore.
  * Renumbering patches.
  * Rediffing s390.patch.
  * Simplifying architecture listing for libcap2-dev build-depends,
    thanks to Robert Millan <rmh@debian.org> (Closes: #634725).
  * Adding Catalan debconf translations from Innocent De Marchi
    <tangram.peces@gmail.com> (Closes: #630075).
  * Adding patch from Ben Hutchings <ben@decadent.org.uk> to fix a
    remote DoS on Linux 2.6.32 (Closes: #629373).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 05 Sep 2011 15:55:00 +0200

vsftpd (2.3.2-8) experimental; urgency=low

  * Updating rules to only link against libcap on linux, thanks to Pino
    Toscano <toscano.pino@tiscali.it> (Closes: #607587).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 20 Dec 2010 06:40:40 +0100

vsftpd (2.3.2-7) experimental; urgency=low

  * Improving user checks with getent in postinst scripts, thanks to
    Scott Moser <smoser@ubuntu.com> (Closes: #607129).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 20:45:15 +0100

vsftpd (2.3.2-6) experimental; urgency=low

  * Adding Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #605069).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Dec 2010 13:10:42 +0100

vsftpd (2.3.2-5) experimental; urgency=low

  * Correcting email address in previous changelog.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).
  * Rediffing s390.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 26 Nov 2010 17:42:55 +0100

vsftpd (2.3.2-4) experimental; urgency=low

  * Making greps for vsftpd username and group in postinst more robust,
    thanks to Serge Hallyn <serge.hallyn@canonical.com> (Closes:
    #604888).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 25 Nov 2010 14:56:44 +0100

vsftpd (2.3.2-3) unstable; urgency=medium

  * Adding patch from Philipp Kern <pkern@debian.org> to fix vsftpd on
    s390 (Closes: #602726).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 09 Nov 2010 01:00:27 +0100

vsftpd (2.3.2-2) experimental; urgency=low

  * Adding Brazilian Portuguese debconf translations from Chanely
    Marques <chanelym@gmail.com> (Closes: #595658).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 05 Sep 2010 21:18:38 +0200

vsftpd (2.3.2-1) experimental; urgency=low

  * Merging upstream version 2.3.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 14:34:05 +0200

vsftpd (2.3.1-1) experimental; urgency=low

  * Merging upstream version 2.3.1.
  * Removing logging.patch, went upstream.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 14:29:49 +0200

vsftpd (2.3.0-1) unstable; urgency=low

  * Merging upstream version 2.3.0.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 14:09:51 +0200

vsftpd (2.3.0~pre2-4) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Added updated 10-logging.patch from Jean-Louis Dupond <jean-
    louis@dupond.be> to close #579684 also for simultaneous connections.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Jul 2010 00:08:41 +0200

vsftpd (2.3.0~pre2-3) unstable; urgency=low

  * Adding patch from Regid Ichira <gl2n30y06arv2@hotmail.com> to fix
    logging (Closes: #579684).
  * Updating lsb headers in init script (Closes: #579061).
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 02 May 2010 18:29:18 +0200

vsftpd (2.3.0~pre2-2) unstable; urgency=low

  * Adding patch to fix manpage formatings.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Apr 2010 07:19:35 +0200

vsftpd (2.3.0~pre2-1) unstable; urgency=low

  * Not failing if removal of server directory in postinst isn't
    successful (Closes: #575356).
  * Merging upstream version 2.3.0~pre2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 27 Mar 2010 09:59:03 +0100

vsftpd (2.3.0~pre1-1) unstable; urgency=low

  * Merging upstream version 2.3.0~pre1.
  * Updating README.source.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 19 Mar 2010 08:57:55 +0100

vsftpd (2.2.2-4) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Adding patch from Chuck Short <zulcss@ubuntu.com> to add utf8
    support.
  * Avoiding initscript stop links as they are not required.
  * Creating group for vsftpd user in case the specified user exists,
    but not its group (Closes: #572345).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Mar 2010 15:59:30 +0100

vsftpd (2.2.2-3) unstable; urgency=low

  * Moving chroot creation out of the start sequence (Closes: #472329).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 04 Dec 2009 08:37:13 +0100

vsftpd (2.2.2-2) unstable; urgency=low

  * Exiting 0 when we refuse to start vsftpd because it's disabled in
    the configuration (Closes: #557182).
  * Conditionally build against libpcap2 whetever we are on linux or not
    (Closes: #557153).
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 22 Nov 2009 17:32:24 +0100

vsftpd (2.2.2-1) unstable; urgency=low

  * Correcting typo in status section of the init script (Closes:
    #556260).


=== debian/control ===
Source: vsftpd
Section: net
Priority: extra
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
 libwrap0-dev
Standards-Version: 3.9.2
Homepage: http://vsftpd.beasts.org/

Package: vsftpd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libpam-modules, netbase
Recommends: logrotate
Conflicts: ftp-server
Replaces: ftp-server
Provides: ftp-server
Description: lightweight, efficient FTP server written for security
 This package provides the "Very Secure FTP Daemon", written from
 the ground up with security in mind.
 .
 It supports both anonymous and non-anonymous FTP access, PAM authentication,
 bandwidth limiting, and the Linux sendfile() facility.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

LIBS = -lwrap -lpam -lssl -lcrypto
ifeq ($(DEB_HOST_ARCH_OS),linux)
	LIBS += -lcap
endif

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) -W -Wshadow" LIBS="$(LIBS)" LINK=""

override_dh_auto_install:
	# disabled

override_dh_installinit:
	dh_installinit --update-rcd-params='start 20 2 3 4 5 . stop 80 1 .'

## vsftpd 2.3.5

=== debian/changelog ===
vsftpd (2.3.5-3ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1003644).  Remaining changes:
    + debian/vsftpd.upstart: migrate vsftpd to upstart.
    + Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.
      - debian/rules: Add --with apport.
    + Add debian/watch file.
    + debian/patches/09-disable-anonymous.patch: Disable anonymous login
      by default. (LP: #528860)
  * debian/patches/12-ubuntu-us-snakeoil-ssl.patch: Use snakeoil SSL
    certificates and key.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 23 May 2012 16:59:36 -0400

vsftpd (2.3.5-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding changelog entry from squeeze security update.

  [ Jonathan Nieder ]
  * Adding NEWS file to warn about strengthened checks for writable root
    directory inside chroot (Closes: #656900).

  [ Daniel Baumann ]
  * Manually passing CPPFLAGS into CFLAGS when calling make in rules
    (Closes: #655103, #657693).
  * Updating package to standards version 3.9.3.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 04 Mar 2012 20:15:39 +0100

vsftpd (2.3.5-2) unstable; urgency=low

  * Updating build target in rules to actually take up the hardening
    flags, thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes:
    #655103).
  * Updating to debhelper version 9.
  * Simplifying hardening in rules.
  * Adding patch from Michael Cree <mcree@orcon.net.nz> to fix FTBFS on
    alpha (Closes: #656182).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Jan 2012 10:56:03 +0100

vsftpd (2.3.5-1ubuntu2) precise; urgency=low

  * debian/rules: Fix hardening based on Debian changes from 2.3.5-2 and -3.

 -- Kees Cook <kees@ubuntu.com>  Tue, 27 Mar 2012 16:05:54 -0700

vsftpd (2.3.5-1ubuntu1) precise; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian testing.  Remaining changes:
    + Use snakeoil SSL certificates and key.
    + debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    + Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.
      - debian/rules: Add --with apport.
    + debian/vsftpd.postinst: Check that group exists first,
      then the user, then trying adding the user to the group. (LP: #629234)
    + Add debian/watch file.
    + debian/patches/09-disable-anonymous.patch: Disable anonymous login by default.
      (LP: #528860)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2012 09:16:04 -0500

vsftpd (2.3.5-1) unstable; urgency=low

  * Merging upstream version 2.3.5.
  * Rediffing utf8.patch.
  * Using compression level 9 also for binary packages.
  * Silencing getent calls in postinst (Closes: #641965).
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #654859).
  * Adding Indonesian debconf translations from Mahyuddin Susanto
    <udienz@gmail.com> (Closes: #654170).
  * Enabling hardening build options (Closes: #644295).
  * Updating years in copyright.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 08 Jan 2012 10:54:36 +0100

vsftpd (2.3.4-1ubuntu2) precise; urgency=low

  * debian/vsftpd.upstart: Fix transition from runlevel 1 -> 2.
    (LP: #820700) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Jan 2012 09:40:36 -0500

vsftpd (2.3.4-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + Use snakeoil SSL certificates and key.
    + debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    + Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.
      - debian/rules: Add --with apport.
    + debian/vsftpd.postinst: Check that group exists first,
      then the user, then trying adding the user to the group. (LP: #629234)
    + Add debian/watch file.
    + debian/patches/09-disable-anonymous.patch: Disable anonymous login by default.
      (LP: #528860)
    + Dropped:
      - debian/patches/11-CVE-2011-0762.patch: No longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Sep 2011 00:04:36 +0000

vsftpd (2.3.2-3+squeeze2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable network isolation due to a problem with cleaning up network
    namespaces fast enough in kernels < 2.6.35 (CVE-2011-2189).
    Thanks Ben Hutchings for the patch!
  * Fix possible DoS via globa expressions in STAT commands by
    limiting the matching loop (CVE-2011-0762; Closes: #622741).

 -- Nico Golde <nion@debian.org>  Wed, 07 Sep 2011 20:39:59 +0000

vsftpd (2.3.2-3ubuntu5) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 22:42:28 +0100

vsftpd (2.3.2-3ubuntu4) natty; urgency=low

  * SECURITY UPDATE: denial of service via crafted glob expressions
    - debian/patches/11-CVE-2011-0762.patch: limit number of iterations in
      access.c, defs.h, ls.*. 
    - CVE-2011-0762

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Mar 2011 14:29:29 -0400

vsftpd (2.3.2-3ubuntu3) natty; urgency=low

  * debian/vsftpd.upstart: Fix start of vsftpd even if not in standalone mode.
    Thanks to Stephane Chazelas (LP: #648202)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 25 Feb 2011 15:16:09 -0500

vsftpd (2.3.2-3ubuntu2) natty; urgency=low

  * debian/vsftpd.postinst: Use complete name match when checking for existing
    ftp user/group, to avoid install failure (LP: #656415)

 -- Thierry Carrez (ttx) <thierry.carrez@ubuntu.com>  Wed, 01 Dec 2010 13:46:44 +0100

vsftpd (2.3.2-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Use snakeoil SSL certificates and key.
    - debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    - Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: vsftpd
 Section: net
 Priority: extra
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
- libwrap0-dev
-Standards-Version: 3.9.2
+ libwrap0-dev, dh-apport
+Standards-Version: 3.9.3
 Homepage: http://vsftpd.beasts.org/
 
 Package: vsftpd

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

LIBS = -lwrap -lpam -lssl -lcrypto
ifeq ($(DEB_HOST_ARCH_OS),linux)
	LIBS += -lcap
endif

%:
	dh ${@} --with apport

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LIBS)" LINK=""

override_dh_auto_install:
	# disabled

override_dh_installinit:
	dh_installinit --update-rcd-params='start 20 2 3 4 5 . stop 80 1 .'

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

## vsftpd 3.0.2

=== debian/changelog ===
vsftpd (3.0.2-1ubuntu2.14.04.1) trusty; urgency=medium

  * d/p/ubuntu-seccomp-gettimeofday.patch: permit gettimeofday() for logging
    calls (LP: #1219857).
  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 29 Apr 2014 15:33:07 +0000

vsftpd (3.0.2-1ubuntu2) saucy; urgency=low

  * debian/patches/13-disable-clone-newpid.patch
    - patch to remove CLONE_NEWPID syscall
      see: https://bugzilla.novell.com/show_bug.cgi?id=786024#c38
      Fixes LP: #1160372

 -- Daniel Llewellyn (Bang Communications) <dan@bang-on.net>  Wed, 08 May 2013 14:08:53 +0100

vsftpd (3.0.2-1ubuntu1) raring; urgency=low

  * Merge from debian unstable (LP: #1092076), remaining changes:
    - Use snakeoil SSL certificates and key.
    - debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    - Add apport hook:
      + debian/vsftpd.apport: Added.
      + debian/control: Build-depends on dh-apport.
      + debian/rules: Add --with apport.
    - Add debian/watch file.
    - debian/patches/09-disable-anonymous.patch: Disable anonymous login by 
      default.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 18 Dec 2012 19:59:37 +0100

vsftpd (3.0.2-1) unstable; urgency=low

  * Merging upstream version 3.0.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 21 Sep 2012 19:16:38 +0200

vsftpd (3.0.0-4) unstable; urgency=low

  * Non-maintainer upload with maintainer sat next to me at Debconf.
  * Fixed debian/vsftpd.init syntax error (Closes: #679710).
  * Added long description in debian/vsftpd.init.

 -- Thomas Goirand <thomas@goirand.fr>  Tue, 03 Jul 2012 15:29:20 +0000

vsftpd (3.0.0-3) unstable; urgency=low

  * Adding patch to avoid overwriting build environment (Closes:
    #677261, #678751).
  * Reenabling hardening buildflags.
  * Removing preseed file.
  * Switching to xz compression.
  * Simplyfing initscript.
  * Removing pre-squeeze update-inetd deconfiguration in postinst.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 15:24:42 +0200

vsftpd (3.0.0-2) unstable; urgency=low

  * Temporarily build without hardening flags, doesn't build reliably
    everywhere yet (Closes: #677261).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 12 Jun 2012 18:33:09 +0200

vsftpd (3.0.0-1) unstable; urgency=low

  * Adding note about lxc in readme.
  * Merging upstream version 3.0.0.
  * Updating copyright to format 1.0.
  * Unifying po headers.
  * Sourcing lsb init-functions in initscript, thanks to Vincent Bernat
    <bernat@luffy.cx> (Closes: #670308).
  * Adding systemd service file, thanks to Vincent Bernat
    <bernat@luffy.cx>.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 06 Jun 2012 15:50:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
+ debhelper (>= 9), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
  libwrap0-dev, dh-apport
 Standards-Version: 3.9.3
 Homepage: http://vsftpd.beasts.org/
+XS-Testsuite: autopkgtest
 
 Package: vsftpd
 Architecture: any

=== debian/tests/control ===
# Ideally, this test should be run in both LXC and qemu environments, since
# behaviour was shown to fail in only one environment in LP: #1219857. But we
# do not have the ability to request this yet.
Tests: smoke
Depends: vsftpd
Restrictions: needs-root allow-stderr breaks-testbed

=== debian/watch ===
version=3
ftp://vsftpd.beasts.org/users/cevans/vsftpd-(\d.*).tar.gz

## vsftpd 3.0.3

=== debian/changelog ===
vsftpd (3.0.3-3ubuntu2) xenial; urgency=medium

  * Revert debian/patches/0013-listen.patch: In vsftpd.conf, set
    listen_ipv6=NO. This fix introduces a regression, FTBS and goes against the
    debian policy.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 13 Apr 2016 09:29:50 +0100

vsftpd (3.0.3-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 12 Feb 2016 09:13:11 -0600

vsftpd (3.0.3-3) unstable; urgency=low

  * Fix Depends syntax in debian/tests/control.
  * Rewrite debian/vsftpd.bug-script to fix problems
    with attachments in bug reports (Closes: #809531).
  * debian/patches/0013-listen.patch: In vsftpd.conf, set listen_ipv6=NO,
    the default option from the vsftpd man page (Closes: #803999).
  * Add year 2016 to debian/copyright.
  * New debian/patches/0075-logfile.patch: Change mode for
    the log files to 0640.
  * Refresh debian/patches/0040-disable-anonymous.patch.
  * debian/watch: Bump version to 4 (no changes required).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 17 Jan 2016 21:06:45 +0100

vsftpd (3.0.3-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 14 Jan 2016 14:42:46 -0600

vsftpd (3.0.3-2) unstable; urgency=medium

  * Improve UTF-8 support:
    - Merge debian/patches/0025-unconditional_utf8_report.patch
      into debian/patches/0007-utf8.patch.
    - debian/patches/0007-utf8.patch:
      + Add comment to utf8_filesystem option in vsftpd.conf (Closes: #804777).
    - Refresh debian/patches/0014-ssl-cert.patch.
  * New debian/patches/0065-upload_download_filename_pattern.patch:
    - Restrict upload and download of files with certain name patterns
      (Closes: #808595).
      Thanks to Thomas B. Preußer <thomas.preusser@utexas.edu>.
  * New debian/patches/0070-realpath_wrapper.patch:
    - Filename pattern filter as used by deny_file can only match
      existing files (Closes: #808803).
      Thanks to Thomas B. Preußer <thomas.preusser@utexas.edu>.
  * Add ftp to Depends in debian/tests/control to fix autopkgtest errors.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 25 Dec 2015 19:11:50 +0100

vsftpd (3.0.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 29 Oct 2015 09:04:50 -0500

vsftpd (3.0.3-1) unstable; urgency=low

  * New upstream release.
    - Remove now unneeded patches:
      + 0035-address_space_limit.patch
      + 0045-seccomp-gettimeofday.patch
    - Add 2015 to debian/copyright.
  * Correct temp file handling with systemd (Closes: #789127):
    - New debian/vsftpd.tmpfile.
    - debian/vsftpd.postinst:
      + Add create of temp directory at configure.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 26 Jul 2015 13:55:16 +0200

vsftpd (3.0.2-20ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 06 Aug 2015 15:57:03 -0500

vsftpd (3.0.2-20) unstable; urgency=medium

  * New d/patches/0060-seccomp_sandbox.patch:
    - Set default of SECCOMP_SANDBOX to 0 (Closes: #735357).
  * Add a note about SECCOMP_SANDBOX to vsftpd.NEWS.
  * d/control:
    - change XS-Testsuite to Testsuite because dpkg now handles
      it correctly.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 25 May 2015 21:54:39 +0200

vsftpd (3.0.2-19) unstable; urgency=medium

  * vsftpd.postrm:
    - Replace fixed path with a POSIX-compliant shell function to check
      the existence of a command.
  * New debian/patches/0055-set_default_listen.patch (Closes: #783077):
    - Set the default value of tunable_listen to the same value of listen from
      the man page vsftpd.conf.
  * Rewrite bug-script:
    - debian/vsftpd.bug-script: replace dialog with yesno.
    - debian/control: remove dialog from Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 21 Apr 2015 21:48:08 +0200

vsftpd (3.0.2-18ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1427884) Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.
    - debian/vsftpd.init, debian/vsftpd.upstart:
      + Migrate to upstart.
  * Drop following changes, fixed in Debian:
    - ubuntu-disable-anonymous.patch -> 0040-disable-anonymous.patch
    - ubuntu-seccomp-gettimeofday.patch -> 0045-seccomp-gettimeofday.patch
    - debian/tests/*, debian/control: Add dep8 test.
    - debian/watch: It doesn't work anymore.
    - debian/vsftpd.apport: Add Apport hook.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 04 Mar 2015 23:53:47 +0100

vsftpd (3.0.2-18) unstable; urgency=high

  * New debian/patches/0050-CVE-2015-1419.patch
    - Fix config option "deny_file" not always being handled correctly
      CVE-2015-1419 (Closes: #776922).
    - Thanks to Marcus Meissner.
  * Add year 2015 to debian/copyright.
  * debian/rules:
    - Remove override_dh_builddeb because xz compression is standard now.
  * debian/patches:
    - Refresh 0002-config.patch, 0004-link-local.patch, 0005-whitespaces.patch,
      0006-greedy.patch, 0007-utf8.patch, 0010-remote-dos.patch,
      0011-alpha.patch.
  * Remove debian/source/options because xz compression is standard now.
  * debian/vsftpd.postrm:
    - Remove systemd files and directories when purging.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 24 Feb 2015 16:42:25 +0100

vsftpd (3.0.2-17) unstable; urgency=medium

  * Add debian/patches/0035-address_space_limit.patch to increase the
    address space (LP: #1348972).
  * Add patches from Ubuntu:
    - 0040-disable-anonymous.patch to disable anonymous login in


=== debian/control ===
Source: vsftpd
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9),
 dh-apport,
 dh-systemd,
 libcap2-dev [linux-any],
 libpam0g-dev,
 libssl-dev,
 libwrap0-dev
Standards-Version: 3.9.6
Homepage: http://vsftpd.beasts.org/
Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vsftpd.git
Vcs-Git: git://anonscm.debian.org/collab-maint/vsftpd.git

Package: vsftpd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 libpam-modules,
 netbase,
Recommends:
 logrotate,
 ssl-cert,
Conflicts: ftp-server
Replaces: ftp-server
Provides: ftp-server
Description: lightweight, efficient FTP server written for security
 This package provides the "Very Secure FTP Daemon", written from
 the ground up with security in mind.
 .
 It supports both anonymous and non-anonymous FTP access, PAM authentication,
 bandwidth limiting, and the Linux sendfile() facility.

Package: vsftpd-dbg
Section: debug
Architecture: any
Depends:
 ${misc:Depends},
 vsftpd (= ${binary:Version})
Description: lightweight, efficient FTP server written for security (debug)
 This package provides the "Very Secure FTP Daemon", written from
 the ground up with security in mind.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

LIBS = -lwrap -lpam -lssl -lcrypto
ifeq ($(DEB_HOST_ARCH_OS),linux)
	LIBS += -lcap
endif

%:
	dh ${@} --parallel --with=systemd,apport

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LIBS)" LINK=""

override_dh_auto_install:
	install -D -m 644 debian/vsftpd.apport $(CURDIR)/debian/vsftpd/usr/share/apport/package-hooks/vsftpd.py
	# auto-install disabled

override_dh_strip:
	dh_strip --dbg-package=vsftpd-dbg

=== debian/watch ===
version=4
#
# The download directory 
#   https://security.appspot.com/downloads/ 
# is not searchable.
#
# So the this watch file is not used.
#

## vsftpd 3.0.5

=== debian/changelog ===
vsftpd (3.0.5-0.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Secure (updated) Homepage
  * d/copyright: Update Source location
  * d/watch: version=5
  * debhelper-compat (= 13)
  * d/control:
     - Do not Depend from obsolete lsb-base
     - Drop explicit -dbg package
     - Standards-Version: 4.7.3
  * d/copyright: Remove old FSF address

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation of vsftpd
    Closes: #1033764

 -- Andreas Tille <tille@debian.org>  Wed, 11 Feb 2026 21:17:05 +0100

vsftpd (3.0.5-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update "max_clients" and "max_per_ip" defaults in vsftpd.conf(5) according
    to reality (and v2.1.2 Changelog). Closes: #1121330

 -- Lukas Märdian <slyon@debian.org>  Mon, 24 Nov 2025 14:49:57 +0100

vsftpd (3.0.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * ssl.c: correct setup_bio_callbacks signature (Closes: #1098073)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Sep 2025 00:05:58 +0200

vsftpd (3.0.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct README.Debian with regard to local and anonymous logins.
    (Closes: #1104531)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 13:17:12 +0200

vsftpd (3.0.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #991329)
    Fixes CVE-2021-3618

  [ Svante Signelle ]
  * Fix init script for Hurd (Closes: #975585)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 15 Jan 2025 12:19:33 +0100

vsftpd (3.0.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop removing ftp user/group on removal (Closes: #1042969)

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jul 2024 13:39:11 +0100

vsftpd (3.0.3-13) unstable; urgency=medium

  [Frey Daniel]
  * Fix FTBFS when configured with NO_PAM (Closes: #953085)

  [Svante Signell]
  * Add sysvinit-utils in Depends (Closes: #975585)

  [Sven Dreyer]
  * Fix a type in manpage (Closes: #970436)

 -- Keng-Yu Lin <kengyu@debian.org>  Thu, 04 Mar 2021 05:05:45 +0800

vsftpd (3.0.3-12) unstable; urgency=low

  [Ryan Chu]
  * Fix faulty logic of greping PID in vsftpd.init (closes: #911396)

  [Keng-Yu Lin]
  * Bump Standards-Version to 4.3.0

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 06 Mar 2019 14:52:35 +0800

vsftpd (3.0.3-11) unstable; urgency=low

  [Michael Stone]
  * postinst: check if a file exists rather than a directory (Closes: #905242)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 02 Aug 2018 12:01:54 +0800

vsftpd (3.0.3-10) unstable; urgency=low

  * Add procps in Depends for the use in a clean chroot (Closes: #903974)
  * Removed Vcs-{Git, Browser}. Source can still be downloaded in the old way
   (Closes: #903716)
  * Fixed lintian warning in postinst
    - maintainer-script-should-not-use-recursive-chown-or-chmod
    - unnecessary-testsuite-autopkgtest-field
    - Removed dh-systemd and add debhelper (>= 9.20160709) in Build-Depends

 -- Keng-Yu Lin <kengyu@lexical.tw>  Sun, 29 Jul 2018 01:42:10 +0800

vsftpd (3.0.3-9) unstable; urgency=low

  [Helmut Grohne]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers (Closes: #850471)

  [Keng-Yu Lin]
  * Add lsb-base (>= 3.0-6) to Depends to fix lintian error:
    - init.d-script-needs-depends-on-lsb-base

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 05 Jul 2017 13:55:35 +0800

vsftpd (3.0.3-8) unstable; urgency=low

  * Remove libeatmydata1 from Depends (Closes: #836904)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 21 Sep 2016 16:38:42 +0800

vsftpd (3.0.3-7) unstable; urgency=low

  [Chris Lamb]
  * debian/vsftpd.init:  initscript stop and restart actions should
    ensure the process has stopped before returning (Closes: #829247)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Mon, 29 Aug 2016 14:05:05 +0800

vsftpd (3.0.3-6) unstable; urgency=low

  * New maintainer (Closes: #824694)
  * Update the Debian Policy to 3.9.8
  * Add libeatmydata1 in package Depends
  * Fixed debian/watch

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 10 Aug 2016 20:36:28 +0800

vsftpd (3.0.3-5) unstable; urgency=medium

  * QA upload.
  * Cherry-pick the Ubuntu fix for ipv6 (Closes: #819546)
    - thanks Louis Bouchard and Jeremy Bicha

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Jul 2016 08:55:01 +0200

vsftpd (3.0.3-4) unstable; urgency=medium

  * Orphan this package.
  * Set maintainer to Debian QA Group (See: #824694).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 May 2016 21:11:49 +0200

=== debian/control ===
Source: vsftpd
Section: net
Maintainer: Keng-Yu Lin <kengyu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcap2-dev [linux-any],
 libpam0g-dev,
 libssl-dev,
 libwrap0-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/vsftpd
Vcs-Git: https://salsa.debian.org/debian/vsftpd.git
Homepage: https://security.appspot.com/vsftpd.html

Package: vsftpd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 libpam-modules,
 netbase,
 procps,
 sysvinit-utils (>= 2.96),
Recommends:
 logrotate,
 ssl-cert,
Conflicts: ftp-server
Replaces: ftp-server
Provides: ftp-server
Description: lightweight, efficient FTP server written for security
 This package provides the "Very Secure FTP Daemon", written from
 the ground up with security in mind.
 .
 It supports both anonymous and non-anonymous FTP access, PAM authentication,
 bandwidth limiting, and the Linux sendfile() facility.

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,11 @@
 endif
 
 %:
-	dh ${@} --parallel --with=systemd,apport
+	dh ${@}
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LIBS)" LINK=""
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LIBS)" LINK=""
 
 override_dh_auto_install:
 	install -D -m 644 debian/vsftpd.apport $(CURDIR)/debian/vsftpd/usr/share/apport/package-hooks/vsftpd.py
 	# auto-install disabled
-
-override_dh_strip:
-	dh_strip --dbg-package=vsftpd-dbg

=== debian/watch ===
Version: 5

Source: https://security.appspot.com/vsftpd.html
Matching-Pattern: .*/downloads/vsftpd-(.+)\.tar\.gz
